<?php
class Other_service_report_model extends CI_Model {
    
    function __construct() {
        parent::__construct();
        $this->services = TBL_SERVICE;
        $this->other_service = TBL_BILL_OTHERS;
        $this->star = TBL_STAR;
    }
    
    public function list_service_type(){
        $this->db->select('id,name as service_name');
        $this->db->where('menu_name',14);
        $this->db->where('status',1);
        return $this->db->get($this->services)->result();
    }
    
    public function get_data($start_date='',$end_date='',$type='',$date_type=''){
        $this->db->select('s.name as service_name, s.prefix, star.name as star, os.*',FALSE);
        $this->db->join($this->services . ' as s','s.id = os.service_id');
        $this->db->join($this->star . ' as star','star.id = os.star_id','left');
        if($date_type == 1) {
            if(!empty($start_date) && !empty($end_date)) {
                $this->db->where('os.date >=',date('Y-m-d',strtotime($start_date)));
                $this->db->where('os.date <=',date('Y-m-d',strtotime($end_date)));
            } else {
                $this->db->where('os.date >=',date('Y-m-d'));
                $this->db->where('os.date <=',date('Y-m-d'));
            }
        } elseif($date_type == 2) {
            if(!empty($start_date) && !empty($end_date)) {
                $this->db->where('os.created_on >=',date('Y-m-d 00:00:00',strtotime($start_date)));
                $this->db->where('os.created_on <=',date('Y-m-d 23:59:59',strtotime($end_date)));
            } else {
                $this->db->where('os.created_on >=',date('Y-m-d 00:00:00'));
                $this->db->where('os.created_on <=',date('Y-m-d 23:59:59'));
            } 
        }
        if(!empty($type)) {
            $this->db->where('os.service_id',$type);
        }
        #$this->db->where('os.status',1);
        return $this->db->get($this->other_service . ' as os')->result();
    }
}
?>


